<h2>メールフォーム　確認画面</h2>

<?php

 $inputname=htmlspecialchars(stripslashes($_POST["inputname"]),ENT_QUOTES);
 $inputmail=htmlspecialchars(stripslashes($_POST["inputmail"]),ENT_QUOTES);
 $inputmemo=htmlspecialchars(stripslashes($_POST["inputmemo"]),ENT_QUOTES);

  if($_POST['inputname'] == ""){
  $name = "<input type=\"text\" name=\"inputname\" value=\"{$inputname}\"><br><font color=\"red\">●修正内容：お名前が入力されてません。</font>";
  $check1 ="ng";
  }elseif(!preg_match( '/[\x7F-\xFF]/',$_POST['inputname'])){
  $name = "<input type=\"text\" name=\"inputname\" value=\"{$inputname}\"><br><font color=\"red\">●修正内容：お名前は全角文字のみ有効です。</font>";
  $check1 ="ng";
  }else{
  $name = "<input type=\"text\" name=\"inputname\" value=\"{$inputname}\">";
  $check1 ="ok";
  }

  if($_POST['inputmail'] == ""){
  $mail = "<input type=\"text\" name=\"inputmail\" value=\"{$inputmail}\"><br><font color=\"red\">●修正内容：メールアドレスが入力されてません。</font>";
  $check2 ="ng";
  }elseif(!preg_match('/[\w.-]+\@[\w.-]+\.[a-zA-Z]{2,3}/', $_POST['inputmail'])){
  $mail = "<input type=\"text\" name=\"inputmail\" value=\"{$inputmail}\"><br><font color=\"red\">●修正内容：Ｅメールのご入力内容をご確認くださいませ。</font>";
  $check2 ="ng";
  }else{
  $mail = "<input type=\"text\" name=\"inputmail\" value=\"{$inputmail}\">";
  $check2 ="ok";
  }

  if($_POST['inputmemo'] == ""){
  $memo = "<font color=\"red\">●修正内容：お問合せ欄が空欄です。</font><br><textarea name=\"inputmemo\" cols=\"50\" rows=\"10\">{$inputmemo}</textarea>";
  $check3 ="ng";
  }else{
  $memo = "<textarea name=\"inputmemo\" cols=\"50\" rows=\"10\">{$inputmemo}</textarea>";
  $check3 ="ok";
  }

  if($check1 == "ng" or $check2 == "ng" or $check3 == "ng"){
  $action = "<form action=index.php?name=mailform_c#form method=post>";
  }else{
  $action = "<form action=index.php?name=mailform_s#form method=post>";
  }

  if($check1 == "ng" or $check2 == "ng" or $check3 == "ng"){
  $but = "<Input type=\"submit\" value=\"修正いたします\">";
  }else{$but = "<input type=\"hidden\" name=\"mode\" value=\"inputed\"><input type=\"submit\" value=\"送　信\"><font size=\"-1\" color=\"blue\"><br><br>※上述の内容でよろしければメールを送信いたします。<br>※ご入力頂いたアドレスへお問合せ内容を自動送信いたします。 ";
  }


$form = <<<EOD

{$action}
お名前
<br>
{$name}
<br><br>

Eメールアドレス
<br>
{$mail}
<br>
<br>

お問合せ
<br>
{$memo}
<br>

{$but}
</form>
EOD;
print("$form");

?>
